Subject: Re: bug#10136: Can't view some strange characters in some of the man pages

From: Bob Proulx <[email-masked]>
Date: Fri, 25 Nov 2011 15:03:35 -0700

Alan Curry wrote:
> Harold Raulston writes:
> > Could you tell me what encoding I need to use to view your man pages?
> > 
> > I've tried Unicode, Western, Western ISO, but still get some unreadable
> > characters in the EXAMPLES (I've just looked at the find and du commands so
> > far):
> > 
> > â€â€™ linuxcommand find1 can't display read

I do not see any unicode characters in the man page even with LC_ALL
set to en_US.UTF-8.

> > BTW, I'm using Win7 Pro English, IE9. All latest updates.
> > I have the same problem in Chrome...
> 
> man pages are read with the man program. HTML is Not The Way.

Agreed.

Harold, you said IE9 in the same message talking about man pages.
This creates confusion.  Man pages are read with the man program.

  $ man du

But if you are using the web browser then it sounds like you are
looking at a web page instead?  If that is true then the web page you
are looking at will be the problem.

Harold, Please tell us what web page URL to which you are referering.

Documentation for the coreutils is available on the web here:

  http://www.gnu.org/software/coreutils/manual/

All of those pages look okay to me.  For 'du' here is the relevant
documentation page on the web.

  http://www.gnu.org/software/coreutils/manual/html_node/du-invocation.html#du-invocation

And of course the info pages should be installed on your system.  You
can access them using the 'info' command.

  $ info coreutils

> [c3 a2 e2 82 ac c3 a2 e2 82 ac e2 84 a2] is what you get when you start with
> U+2019 RIGHT SINGLE QUOTATION MARK in UTF8, then misinterpret it as
> windows-1252 and convert it to UTF8 again.

Good observation.

> We were *so* unfortunate when we didn't have all these extra kinds of
> quotation marks.

/me shakes head, People do like eye candy.

Bob